# Generated by Django 3.2.7 on 2021-09-23 23:21

from django.db import migrations, models
import django.db.models.deletion
import modelcluster.fields
import wagtail.core.blocks
import wagtail.core.fields


class Migration(migrations.Migration):

    dependencies = [
        ('wagtailcore', '0062_comment_models_and_pagesubscription'),
        ('home', '0006_alter_homepage_hub_title'),
    ]

    operations = [
        migrations.CreateModel(
            name='HomePageCard',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.page')),
                ('card', wagtail.core.fields.StreamField([('title', wagtail.core.blocks.CharBlock(form_classname='full title')), ('contents', wagtail.core.blocks.StructBlock([('link', wagtail.core.blocks.URLBlock(form_classname='contents-link', required=False)), ('description', wagtail.core.blocks.CharBlock(form_classname='contents-description', required=False))]))])),
                ('page', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='cards', to='home.homepage')),
            ],
            options={
                'abstract': False,
            },
            bases=('wagtailcore.page',),
        ),
    ]
